Get streaming audience

The Get platforms for streaming data endpoint lists available platforms for this endpoint.

Note about Spotify/Jiosaavn/Pandora/Yandex/Kugou monthly listeners: the platforms use a rolling window of 28 days because the number of days in a calendar month varies, and people listen differently on different days of the week. Using a window of 28 days means they always include an equal number of each day (i.e., the same number of Mondays, Tuesdays, Wednesdays, etc.)

Note about YouTube views: YouTube's view count is calculated by combining each official version of a song, including the official music video, user-generated content that uses the official song, and lyric videos.

This endpoint also returns Anghami/Audiomack plays (how many times the artist’s songs have been played), and Last.fm listeners (how many people listened to the artist’s songs).

Don't know the artist UUID yet? Use the Get artist by platform ID or Search artist by name endpoints.

Request

GET /api/v2/artist/{uuid}/streaming/{platform}/listening

Path parameters

Parameter Value Description Additional
uuid string An artist UUID Required
platform string platform code Required

Query string parameters

Parameter Value Description Additional
startDate string Optional period start date (format YYYY-MM-DD). If not provided, the start date defaults to 30 days before the end date. Optional
endDate string Optional period end date (format YYYY-MM-DD) Optional
offset integer Get results starting from position Optional
limit integer Number of results (max. 100) Optional

Response

Code Description Resource
200 OK

Global platform listening audience for a period

Global Audience Plot Collection
401 Unauthorized

You are not logged in

403 Forbidden

This endpoint is not included in your current plan, reach out to help@soundcharts.com if you want access.

404 Not Found

Artist not found

Explore

An artist UUID

platform code

Optional period start date (format YYYY-MM-DD). If not provided, the start date defaults to 30 days before the end date.

Optional period end date (format YYYY-MM-DD)

Get results starting from position

Number of results (max. 100)

Try it out